/* POLICES */

@font-face {
    font-family: "Roboto-Regular";
    src: url('../../fonts/Roboto-Regular.ttf');
}

@font-face {
    font-family: "Roboto-Light";
    src: url('../../fonts/Roboto-Light.ttf');
}

/* GENERAL */

body{
    background-color: #34495e;
}

p:hover{
    cursor: default;
}

.NoMP{
    margin:0;
    padding:0;
}

.mt20{
    margin-top: 20px !important;
}

.mb20{
    margin-bottom: 20px !important;
}

.center{
    margin:auto;
    display: block;
}

.textCenter{
    text-align: center;
    margin: auto;
}

/* TITLES */

.title{
    font-size: 1.3em !important;
    padding-top: 7px !important;
}

.iconTitle{
    font-size: 1.7em !important;
    padding-top: 10px !important;
    margin-top: 0 !important;
}

.sub-title{
    font-family: "Roboto-Regular", serif;
    padding-top: 10px;
    color: #bdc3c7;
    font-size: 1.5em;
    margin:auto;
    text-align: center;
}

.sub-title i{
    margin-top: 3px;
    font-size: 1.2em;
    float:left;
    margin-right: 8px;
}

.sub-title p{
    float: left;
}

/* NAVIGATION */

#navbarContainer{
    padding:0;
    margin:0;
    width: 100%;
    background-color: #2c3e50;
    max-width: none;
    height: 45px;
    position: fixed;
    z-index: 1;
}

.navbar_list{
    right: 20px;
    position: absolute;
}

.navbar_list li{
    display:inline;
}

.navbar_group p{
    color: white;
    font-size: 1em;
    float:left;
    font-family: "Roboto-Regular", serif;
    padding-top: 10px;
}

.navbar_group i{
    font-size: 1.1em;
    margin-top: 13px;
    padding-right: 6px;
    padding-left: 20px;
    float: left;
    color: white;
}

.navbar_group:hover p, .navbar_group:hover i{
    color: #7f8c8d;
    cursor: pointer;
}

/* LOGIN PAGE */

.loginBlock{
    font-family: "Roboto-Regular", serif;
    background-color: #2c3e50;
    padding: 20px;
    margin: auto;
    width: 30%;
    min-width: 290px;
    color: white;
}

.loginBlock a:hover, .loginBlock a:hover i{
    color: #7f8c8d;
}

/*Wrong pass error*/
.Wpass{
    background-color: #c0392b;
}

form .Wpass{
    width: 220px;
}

.Wpass input{
    background-color: #990000;
}

.Wpass label{
    color: white;
}

.errorMsg{
    font-family: "Roboto-Regular", serif;
    margin: auto;
}

/* BLOCKS */

.largeBlock{
    font-family: "Roboto-Regular", serif;
    background-color: #2c3e50;
    padding: 20px;
    margin: 10px;
    width: 100%;
    color: white;
}

#contentContainer{
    padding-top:45px;
    margin-bottom:55px;
}

/* STATS */

.stats_block{
    font-family: "Roboto-Regular", serif;
    background-color: #2c3e50;
    padding: 10px 45px 0 10px;
    margin: auto;
}

.stat_key{
    color: #95a5a6;
    float: left;
    margin-top: 12px;
}

.stat_value{
    color: white;
    float: left;
    margin-left: 15px;
    font-size: 1.8em;
    margin-top: 2px;
    margin-bottom: 10px;
}

.stat_group{
    float: left;
    margin-left: 15px;
    margin-right: 15px;
    height: 55px;
}

.stat_group i{
    float: left;
    color: #95a5a6;
    font-size: 2em;
    margin-right: 5px;
    margin-top: 7px;
}

.stat_list{
    list-style: none;
}

/* FOOTER */

#footer{
    color: white;
    width: 100%;
    bottom:0;
    position: relative;
    padding-bottom: 20px;
}

/* LINKS */
a{
    color: white;
}

a:hover{
    color: white;
    text-decoration: none;
}

/* FORMS FIELDS */

input{
    font-family: "Roboto-Regular", serif;
    background-color: #34495e;
    color:white;
    border:none;
    min-width: 250px;
    width:80%;
    display: block;
    text-align: center;
    margin: auto auto 20px;
    height: 40px;
    cursor: pointer;
}

label{
    font-family: "Roboto-Regular", serif;
    color: #7f8c8d;
    margin-bottom: 5px;
    text-align: center;
    width: 100%;
    font-size: 0.8em;
}

/* FORMS BUTTONS */

#returnButton {
    margin:auto;
    width: 120px;
    background-color: #2c3e50;
    margin-top: 15px;
}

#CasButton{
    margin:auto;
    width: 100px;
}

#ExcelExportButton{
    margin:auto;
    width: 172px;
    background-color: #2c3e50;
}

#submitButton{
    color: white;
}

#memorize{
    float: left;
    width: auto;
    margin: 0 auto auto 10px;
    min-width: auto;
}

#memorizeLabel{
    float: left;
    width: auto;
    margin: 10px auto auto;
}

.checkboxBlock{
    margin: auto;
    height: 50px;
    width: fit-content;
}

/* VIRTUAL BUTTONS */

.vButton{
    font-family: "Roboto-Regular", serif;
    background-color: #34495e;
    color: white;
    min-width: 100px;
    max-width: 300px;
    display: block;
    text-align: center;
    height: 40px;
    cursor: pointer;
    margin: 10px;
    font-size: 1em;
}

.vButton:hover i, .vButton:hover p, .vButton p:hover, .vButton i:hover{
    color: white !important;
}

.vButton:hover, #submitButton:hover{
    background-color: #0c5460 !important;
}

/*Virtual button logo*/
.vButton i{
    float: left;
    margin-right: 10px;
    margin-top: 7px;
    margin-left: 15px;
}

/*Virtual button text*/
.vButton p{
    float: left;
    margin-top: 7px;
    cursor: pointer;
}

/*YesNoButton*/
.YNb{
    width: 70px;
    float: right;
}

/* TABLE */

.tableHead{
    font-weight: bold;
    color: #7f8c8d;
}

/* COLORS */

/*Background colors*/
.green {
    background-color: #27ae60 !important;
}

.red{
    background-color: #c0392b !important;
}

.green:hover{
    background-color: #2ecc71 !important;
}

.red:hover{
    background-color: #e74c3c !important;
}

/*Text colors*/

.txtRed{
    color: #e74c3c !important;
}

.txtWhite{
    color: white !important;
}

/*Large Message*/

.largeMessage{
    height: 40px;
    width: 100%;
    color: white;
    padding: 5px;
    font-size: 1.2em;
}

.largeMessage p{
    float:left;
    font-family: "Roboto-Regular", serif;
}

.largeMessage i{
    float: left;
    padding-right: 5px;
}

.Wpass .vButton{
    background-color: #990000 !important;
}

.Wpass .vButton:hover, .Wpass #submitButton:hover{
    background-color: #AA0000 !important;
}

.errorMsg i, .errorMsg p{
    text-align: center;
    width: 100%;
    padding-bottom: 5px;
}

#accountStatusButton{
    margin: 5px auto auto;
}

.deactivate{
    background-color: #c0392b !important;
}

.deactivate:hover{
    background-color: #e74c3c !important;
}